Ask Your Question
2

Downgrade ROS kinetic due to broken packages?

asked 2017-01-26 15:14:02 -0500

RandyD gravatar image

I'm pretty new to ROS and having a hard time to get things working due to the lack of packages being compatible for Kinetic.

After almost 2 days searching and trying, i have not found a single Voice Recognition or Face Recognition package that compiles on Kinetic. Both on Ubuntu 16.04 & Debian Jessie, lot of the dependencies are not available or newer.

So i was wondering, should i just re-install my machine to an older version version of Ubuntu and just go trough the tutorials, expecting everything to work fine and be able to play with it, or should i invest time into trying to fix the compile issues and get everything working on Kinetic?

edit retag flag offensive close merge delete

Comments

Could you give some examples of the packages you are using? When you say compile, are you talking about sourcing them and building them through catkin?

If it is taking too much of your time, consider a reinstall to Indigo (if it has the packages you need). There is not too much of a loss.

pryre gravatar image pryre  ( 2017-01-26 19:16:35 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2017-01-27 07:00:40 -0500

RandyD gravatar image

I think as a ROS starter, it takes to much time to fix those packages myself, as i want to experiment and find out which is best for my project. So i will install Ubuntu 14.04/Indigo to play with them and later see to fork/fix them for kinetic.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2017-01-26 15:14:02 -0500

Seen: 580 times

Last updated: Jan 26 '17